import { OnChanges } from '@angular/core';
import { MatPaginator, MatSort, MatTable, MatTableDataSource } from '@angular/material';
import { RdpDataTableService } from '../shared/rdp-data-table.service';
import { RdpModalService } from '../services/rdp-modal.service';
export declare class RdpDataTableComponent<T> implements OnChanges {
    dataTableService: RdpDataTableService;
    private rdpModal;
    limit: number;
    full: boolean;
    data: any;
    settings: any;
    matSort: MatSort;
    private paginator;
    applicationService: any;
    matPaginator: MatPaginator;
    table: MatTable<T>;
    displayedColumns: any[];
    columnsInfoList: any[];
    dataSource: MatTableDataSource<any>;
    isPaginationRequired: boolean;
    pageSize: number;
    isEditMode: boolean;
    isSearchEnabled: boolean;
    showAddButton: boolean;
    result: any;
    showSpinner: boolean;
    constructor(dataTableService: RdpDataTableService, rdpModal: RdpModalService);
    ngOnChanges(): void;
    setData(data: any): void;
    addRow(data: any): void;
    updateRow(data: any): any;
    getRow(): void;
    deleteRow(data: any): void;
    applyFilter(filterValue: string): void;
    cloneObject: any;
    /**
     * openAddNewRoleModal
     * @param rowData
     */
    openEditModalPopup(rowData: any): void;
    handleScroll: (scrolled: boolean) => void;
    toggleUserActive(rowData: any): void;
    hasMore: () => boolean;
}
